Subject: BUG: No way to set fsck.<msg-id> when cloning

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 24 May 2018 17:25:29 +0200

When I do:

    git -c fetch.fsckObjects=true clone [email-masked]:robbyrussell/oh-my-zsh.git

I get:

    error: object 2b7227859263b6aabcc28355b0b994995b7148b6: zeroPaddedFilemode: contains zero-padded file modes
    fatal: Error in object
    fatal: index-pack failed

The docs (https://git-scm.com/docs/git-config#git-config-fsckltmsg-idgt)
say you can override this with -c fsck.zeroPaddedFilemode = ignore, but
I see in builtin/fsck.c that just fsck_config() knows about this, and
indeed this works *after* you clone the repo when you use 'git fsck'.

I don't have time to fix this now, but what's the best approach here?
Make all the relevant commands copy what fsck_config() is doing, or
should fsck_object() be lazily looking up this config by itself?